commit 637220d3666abf47363cb5217e96796bbc6ba3ab
Author: freddy77 <freddy77>
Date:   Thu Jan 10 15:29:03 2008 +0000

    use temporary tables

diff --git a/ChangeLog b/ChangeLog
index 1a6b943..238d403 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Jan 10 16:28:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/blob1.c src/odbc/unittests/cursor3.c:
+	* src/odbc/unittests/cursor4.c src/odbc/unittests/cursor5.c:
+	- use temporary tables
+
 Thu Jan 10 16:25:19 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* doc/README.releasing misc/freetds_autobuild: updates
 
@@ -15,4 +20,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2459 2008/01/10 15:26:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2460 2008/01/10 15:29:03 freddy77 Exp $
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 838a507..9e4be47 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.1 2008/01/10 13:11:08 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.2 2008/01/10 15:29:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -111,8 +111,7 @@ main(int argc, char **argv)
 	use_odbc_version3 = 1;
 	Connect();
 
-	Command(Statement, "IF OBJECT_ID('tt') IS NOT NULL DROP TABLE tt");
-	Command(Statement, "CREATE TABLE tt ( k INT, t TEXT, b IMAGE, v INT )");
+	Command(Statement, "CREATE TABLE #tt ( k INT, t TEXT, b IMAGE, v INT )");
 
 	/* Insert rows ... */
 
@@ -122,7 +121,7 @@ main(int argc, char **argv)
 		rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt);
 		CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH");
 
-		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "insert into tt values ( ?, ?, ?, ? )", SQL_NTS);
+		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "INSERT INTO #tt VALUES ( ?, ?, ?, ? )", SQL_NTS);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");
 
 		SQLBindParameter(m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &key, 0, &vind0);
@@ -181,7 +180,7 @@ main(int argc, char **argv)
 		rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SENSITIVITY");
 
-		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "SELECT t, b, v FROM tt WHERE k = ?", SQL_NTS);
+		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "SELECT t, b, v FROM #tt WHERE k = ?", SQL_NTS);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");
 
 		SQLBindParameter(m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &i, 0, &vind0);
diff --git a/src/odbc/unittests/cursor3.c b/src/odbc/unittests/cursor3.c
index 791783a..d44fe3c 100644
--- a/src/odbc/unittests/cursor3.c
+++ b/src/odbc/unittests/cursor3.c
@@ -1,7 +1,7 @@
 /* Tests 2 active statements */
 #include "common.h"
 
-static char software_version[] = "$Id: cursor3.c,v 1.3 2007/12/21 10:39:10 freddy77 Exp $";
+static char software_version[] = "$Id: cursor3.c,v 1.4 2008/01/10 15:29:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLHDBC m_hdbc;
@@ -69,12 +69,11 @@ main(int argc, char **argv)
 
 	m_hdbc = Connection;
 
-	exec_direct(0, "DROP TABLE t1");
-	exec_direct(1, "CREATE TABLE t1 ( k INT, c VARCHAR(20))");
-	exec_direct(1, "INSERT INTO t1 VALUES (1, 'aaa')");
-	exec_direct(1, "INSERT INTO t1 VALUES (2, 'bbbbb')");
-	exec_direct(1, "INSERT INTO t1 VALUES (3, 'ccccccccc')");
-	exec_direct(1, "INSERT INTO t1 VALUES (4, 'dd')");
+	exec_direct(1, "CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
+	exec_direct(1, "INSERT INTO #t1 VALUES (1, 'aaa')");
+	exec_direct(1, "INSERT INTO #t1 VALUES (2, 'bbbbb')");
+	exec_direct(1, "INSERT INTO #t1 VALUES (3, 'ccccccccc')");
+	exec_direct(1, "INSERT INTO #t1 VALUES (4, 'dd')");
 
 	m_hstmt1 = NULL;
 	rcode = SQLAllocHandle(SQL_HANDLE_STMT, m_hdbc, &m_hstmt1);
@@ -114,10 +113,10 @@ main(int argc, char **argv)
 	rcode = SQLSetCursorName(m_hstmt2, (SQLCHAR *) "c2", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SetCursorName c2");
 
-	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM t1", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM #t1", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "Prepare 1");
 
-	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "SELECT * FROM t1", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "SELECT * FROM #t1", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "Prepare 2");
 
 	rcode = SQLExecute(m_hstmt1);
@@ -152,8 +151,6 @@ main(int argc, char **argv)
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLFreeHandle 2");
 
-	exec_direct(1, "DROP TABLE t1");
-
 	Disconnect();
 
 	return 0;
diff --git a/src/odbc/unittests/cursor4.c b/src/odbc/unittests/cursor4.c
index b352644..ef67014 100755
--- a/src/odbc/unittests/cursor4.c
+++ b/src/odbc/unittests/cursor4.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: cursor4.c,v 1.3 2007/12/21 10:39:10 freddy77 Exp $";
+static char software_version[] = "$Id: cursor4.c,v 1.4 2008/01/10 15:29:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLHDBC m_hdbc;
@@ -72,9 +72,8 @@ main(int argc, char **argv)
 
 	m_hdbc = Connection;
 
-	exec_direct(0, "DROP TABLE t1");
-	exec_direct(1, "CREATE TABLE t1 ( k INT, c VARCHAR(20))");
-	exec_direct(1, "INSERT INTO t1 VALUES (1, 'aaa')");
+	exec_direct(1, "CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
+	exec_direct(1, "INSERT INTO #t1 VALUES (1, 'aaa')");
 
 	m_hstmt1 = NULL;
 	rcode = SQLAllocHandle(SQL_HANDLE_STMT, m_hdbc, &m_hstmt1);
@@ -86,7 +85,7 @@ main(int argc, char **argv)
 	rcode = SQLSetCursorName(m_hstmt1, (SQLCHAR *) "c112", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SetCursorName c112");
 
-	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM t1 FOR UPDATE", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM #t1 FOR UPDATE", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "Prepare 2");
 
 	exec_direct(1, "BEGIN TRANSACTION");
@@ -97,14 +96,14 @@ main(int argc, char **argv)
 	rcode = SQLFetch(m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFetch 1");
 
-	exec_direct(1, "UPDATE t1 SET c = 'xxx' WHERE CURRENT OF c112");
+	exec_direct(1, "UPDATE #t1 SET c = 'xxx' WHERE CURRENT OF c112");
 
 	rcode = SQLCloseCursor(m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLCloseCursor 2");
 
 	exec_direct(1, "COMMIT TRANSACTION");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "SELECT c FROM t1 WHERE k = 1", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "SELECT c FROM #t1 WHERE k = 1", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 2");
 
 	rcode = SQLFetch(m_hstmt1);
@@ -118,8 +117,6 @@ main(int argc, char **argv)
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFreeHandle 1");
 
-	exec_direct(1, "DROP TABLE t1");
-
 	Disconnect();
 
 	return 0;
diff --git a/src/odbc/unittests/cursor5.c b/src/odbc/unittests/cursor5.c
index c7be7e4..53f380b 100755
--- a/src/odbc/unittests/cursor5.c
+++ b/src/odbc/unittests/cursor5.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: cursor5.c,v 1.2 2007/12/21 10:39:10 freddy77 Exp $";
+static char software_version[] = "$Id: cursor5.c,v 1.3 2008/01/10 15:29:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -76,15 +76,14 @@ main(int argc, char **argv)
 	rcode = SQLAllocHandle(SQL_HANDLE_STMT, m_hdbc, &m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_DBC, m_hdbc, "SQLAllocHandle StmtH 2");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "drop table mytab1", SQL_NTS);
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "create table mytab1 (k int, c char(30))", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "create table #mytab1 (k int, c char(30))", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.1");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into mytab1 values (1,'aaa')", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (1,'aaa')", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.2");
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into mytab1 values (2,'bbb')", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (2,'bbb')", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.3");
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into mytab1 values (3,'ccc')", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (3,'ccc')", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.4");
 
 /*
@@ -95,7 +94,7 @@ main(int argc, char **argv)
 	rcode = SQLSetStmtAttr(m_hstmt2, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, SQL_IS_UINTEGER);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLSetStmtAttr 1");
 
-	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "select k, c from mytab1 order by k", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "select k, c from #mytab1 order by k", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLPrepare 3");
 
 	rcode = SQLBindCol(m_hstmt2, 1, SQL_C_LONG, &v_int_3, 0, &v_ind_3_1);
@@ -126,9 +125,6 @@ main(int argc, char **argv)
 	rcode = SQLCloseCursor(m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLCloseCursor StmtH 2");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "drop table mytab1", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.3");
-
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFreeHandle StmtH 1");
 

